## kontact 25.08.3+p24.04+vunstable+git20251206.1012

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # Update it for each release
 set(KONTACT_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
