## kontact 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.6.0")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.11.80")
+set(RELEASE_SERVICE_VERSION "25.12.0")
 
 # Use true if stable version => we will check specific version
 set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
@@ -55,7 +55,7 @@
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION beta)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -64,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.80")
-set(PIMCOMMON_LIB_VERSION "6.5.80")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,8 +79,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package
