## kontact 25.12.0+p24.04+vstable+git20251224.0903

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-set(PIM_VERSION "6.6.0")
+set(PIM_VERSION "6.6.1")
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 project(kontact VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.12.0")
+set(RELEASE_SERVICE_VERSION "25.12.1")
 
 # Use true if stable version => we will check specific version
 set(KONTACT_STABLE_VERSION true)
 
 # Update it for each release
-set(KONTACT_RELEASE_VERSION_DATE "25.12.11") # yy.MM.dd
+set(KONTACT_RELEASE_VERSION_DATE "26.01.05") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
