## kontact 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -64,8 +64,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -79,8 +79,8 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBKDEPIM_LIB_VERSION "6.6.0")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.1")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 # Find KF6 package
