## kontact 25.12.1+p24.04+vstable+git20260128.1313

=== debian/changelog ===
kontact (4:25.12.1+p24.04+vstable+git20260128.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 13:13:32 +0000

kontact (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:25:01 +1000

kontact (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:30 +1000
